Create simulation test
curl --request POST \
--url https://app.famulor.io/api/v1/assistants/{id}/tests \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"persona": "<string>",
"script": "<string>",
"success_criteria": [
{
"name": "<string>",
"description": "<string>"
}
],
"max_turns": 10,
"is_active": true
}
'import requests
url = "https://app.famulor.io/api/v1/assistants/{id}/tests"
payload = {
"name": "<string>",
"persona": "<string>",
"script": "<string>",
"success_criteria": [
{
"name": "<string>",
"description": "<string>"
}
],
"max_turns": 10,
"is_active": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
persona: '<string>',
script: '<string>',
success_criteria: [{name: '<string>', description: '<string>'}],
max_turns: 10,
is_active: true
})
};
fetch('https://app.famulor.io/api/v1/assistants/{id}/tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"persona": "<string>",
"script": "<string>",
"success_criteria": [
{}
],
"max_turns": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"latest_run": {}
}
}Assistants
Create simulation test
Create a simulation test. Required scope: assistants:write. Plan-gate: plans.simulations.
POST
/
assistants
/
{id}
/
tests
Create simulation test
Path Parameters
Body
application/json
Response
201 - application/json
Created test.
Show child attributes
Show child attributes
⌘I